/* import common styles  */
@import url("./common.css");

/* latest news section styles  */
#project-update,
#latest-news {
  margin-top: 120px;
}

#project-update {
  padding: 60px 0;
  background-color: rgba(0, 0, 0, 0.03);
}

#project-update-container,
#recent-activity-container {
  padding-top: 50px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;

  opacity: 0;
  visibility: hidden;
  transform: translateY(100px);
  transition: all 1.2s ease;
}

#project-update-container.section-visible,
#recent-activity-container.section-visible {
  opacity: 1;
  visibility: visible;
  transform: translateY(0px);
}

.project-update-card,
.activity-card {
  padding: 20px;
  border-radius: 8px;
  background-color: var(--pmk-white);

  border: 1px solid rgba(0, 0, 0, 0.04);
  box-shadow:
    0 4px 12px rgba(0, 0, 0, 0.04),
    0 10px 30px rgba(0, 0, 0, 0.06);

  transition: all 0.3s ease;
}

.project-update-card:hover,
.activity-card:hover {
  box-shadow:
    0 8px 20px rgba(0, 0, 0, 0.08),
    0 20px 50px rgba(0, 0, 0, 0.12);
}

.project-feature-image,
.news-feature-image {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 6px;
}

.project-feature-image-linked,
.news-feature-image-linked {
  display: block;
  width: 100%;
  height: 200px;
  border: 1px solid #dee2e6;
  border-radius: 4px;
  padding: 6px;
}

.project-feature-image-linked img,
.news-feature-image-linked img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 2px;
}

.project-posted-date,
.news-posted-date {
  display: inline-block;

  color: grey;
  font-size: 0.75rem;
  font-weight: 400;
}

.project-title,
.news-title {
  color: var(--pmk-blue-dark);
  font-size: 1.35rem;
  font-weight: 600;
  margin-top: 16px;
  transition: color 0.3s ease;
}

.project-title:hover,
.news-title:hover {
  color: var(--pmk-green-dark);
}

.project-title .project-name,
.news-title .linked-title {
  color: inherit;
}

.project-body,
.news-body {
  font-size: 0.95rem;
  margin-top: 8px;
  font-weight: 500;
}

.project-link,
.news-link {
  color: var(--pmk-green-dark-sublet);
  display: inline-flex;
  gap: 4px;
  font-size: 0.9rem;
  font-weight: 700;
  margin-top: 5px;

  position: relative;
  transition: all 0.5s ease;
}

.project-link::after,
.news-link::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;

  height: 2px;
  width: 0;
  background-color: var(--pmk-green-dark-sublet);

  transition: all 0.5s ease;
}

.project-link:hover,
.news-link:hover {
  color: var(--pmk-green-dark);
}

.project-link:hover::after,
.news-link:hover::after {
  width: 100%;
}

/* responsive styles:: small devices  */
@media (max-width: 767.98px) {
  #project-update-container,
  #recent-activity-container {
    grid-template-columns: 1fr;
  }
}

/* responsive styles:: medium devices  */
@media (min-width: 768px) and (max-width: 991.98px) {
  #project-update-container,
  #recent-activity-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* responsive styles:: large devices  */
@media (min-width: 992px) and (max-width: 1199.98px) {
}

/* responsive styles:: extra large devices  */
@media (min-width: 1200px) and (max-width: 1399.98px) {
}

/* responsive styles:: extra extra large devices  */
@media (min-width: 1400px) {
}
